Bug 13023 - Backport ldb 1.2.2
Backport ldb 1.2.2
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.7.0rc5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 13015 13016 13017
  Show dependency treegraph
 
Reported: 2017-09-10 22:58 UTC by Andrew Bartlett
Modified: 2017-09-15 23:41 UTC (History)
3 users (show)

See Also:


Attachments
patch cherry-picked from master for 4.7 (only) (1.11 KB, patch)
2017-09-10 23:04 UTC, Andrew Bartlett
metze: review-
Details
patch cherry-picked from master for 4.7 (only) (100.23 KB, patch)
2017-09-13 03:44 UTC, Andrew Bartlett
garming: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2017-09-10 22:58:46 UTC
LDB 1.2.2 allows us to fix bug 13015, bug 13016 and bug 13017 in Samba 4.7
Comment 1 Andrew Bartlett 2017-09-10 23:04:38 UTC
Created attachment 13566 [details]
patch cherry-picked from master for 4.7 (only)

The attached patch backports ldb 1.2.2 and the changes that use it.

This allows a manual downgrade from a GUID indexed DB (will be scripted in a future commit) and redacts secrets from DRS replication traffic.
Comment 2 Stefan Metzmacher 2017-09-11 18:32:48 UTC
Comment on attachment 13566 [details]
patch cherry-picked from master for 4.7 (only)

You missed --stdout :-)

I also noticed you didn't picked all changes of ldb-1.2.2, you have just 10.

But I see this 16 looking at git log --decorate --graph -17 origin/master -- lib/ldb

* ba54816 (HEAD, tag: ldb-1.2.2, sernox-v4-0-libndr/master4-release, sernox-v4-0-libndr/HEAD, master4-release) ldb: version 1.2.2
* 37bb629 ldb: Add new ldb_ldif_message_redacted_string() with tests
* 01c49b1 ldb_tdb: Refuse to re-index very old database with no DN in the record
* 5463601 ldb_tdb: Use braces in ltdb_dn_list_find_val()
* 6246c32 ldb_tdb: Check for talloc_strdup() failure in ltdb_index_add1()
* ffc8023 ldb_tdb: Check for errors during tdb operations in ltdb_reindex()
* 3ce80cf ldb_tdb: Use memcmp rather than strncmp() in ltdb_key_is_record(), re_key() and re_index()
* fec666b ldb_tdb: Create a common ltdb_key_is_record() allowing multiple key forms
* 2d0007e ldb_tdb: Do not trigger the unique index check during a re-index, use another pass
* da1e234 ldb_tdb: Use memcmp() to compare TDB keys in re_index()
* a5a2243 ldb: Add tests for indexed and unindexed search expressions
* 841e763 ldb: Fix tests to call the parent tearDown(), not setUp in tearDown
* 3164c0a ldb_tdb: Rework ltdb_modify_internal() to use ltdb_search_dn1() internally
* bff81a2 ldb: Add LDB_UNPACK_DATA_FLAG_NO_ATTRS
* 99e4bea lib: ldb: Python. Take care of freeing the passed in module description if ldb_register_module() fails.
* 41b1f8a lib: ldb: Use NULL to allocate modules not talloc_autofree_context().
* 19dfcce (tag: ldb-1.2.1) ldb: version 1.2.1
Comment 3 Andrew Bartlett 2017-09-11 19:10:55 UTC
Thanks, I'll sort this out at work today.
Comment 4 Andrew Bartlett 2017-09-13 03:44:47 UTC
Created attachment 13589 [details]
patch cherry-picked from master for 4.7 (only)

Here is the right patch.
Comment 5 Karolin Seeger 2017-09-14 14:10:03 UTC
Pushed to autobiuld-v4-7-test.
Comment 6 Stefan Metzmacher 2017-09-15 23:41:29 UTC
Pushed to v4-7-test